View Issue Details

IDProjectCategoryExploit/GlitchLast Update
0003146Battlefield 1AudioNo2017-10-20 20:17
Reporterdocholiday332 
SeverityMinorReproducibility@[email protected] 
Status ConfirmedResolutionReopened 
PlatformPCOSWindows 
Product VersionUpdate 12132016 
Fixed in VersionUpdate 03142017 (XP1) 
Summary0003146: Round Ending Music (EOR) Last Few Parts No Longer/Never Play
DescriptionThis issue has been in the game since release. It did NOT happen in the alpha or the beta of battlefield 1. I have a thread with all the technical bugs and whatnot about it here:
https://forums.battlefield.com/en-us/discussion/74496/round-ending-music-last-few-parts-no-longer-play#latest

This bug always happens and for some reason the second last anticipation part of every EOR track never plays.
Steps To ReproduceAlways happens.
Just play a game and wait for the EOR theme to kick in, the second last anticipation part of every EOR track never plays. (bug is in all gamemodes)

Relationships

has duplicate 0003443 Closed Giant Shadow music stop playing in march report 

Activities

docholiday332

2017-01-17 18:44

User
  ~0003517

I forgot to say that In that thread I linked I also have the exact timing of each part of the track that does not play.

docholiday332

2017-02-02 03:39

User
  ~0003578

I wanted to add some more information to this, the issue seems to be with all 3 sets of EOR tracks but this track particular. "PreEOR_03_Wave 0 0 0." It seems that you guys changed how the EOR theme is handled from the beta and alpha. Now it seems to be combined into that one track, instead of 3 separate ones originally. This causes problems because it seems to just loop the beginning of the track over and over, it never gets a chance to play the later parts of the track. Whether it is coded somewhere to skip these parts and just loop the beginning part I don't know, but this is the exact track issue.

docholiday332

2017-03-21 23:22

User
  ~0003887

This issue is not fixed. The issue still remains and is present with the new DLC Pre-EOR music sets 4 and 5 as well. The issue remains as there is not enough time to hear each full music clip, they will always cut off.


My solution is to either go back to the way the Pre-EOR music was handled in the alpha/beta where each part had it's own track, and the music also started fewer tickets before.

Or keep it the way it is and have each music track start earlier. An example would be for operations start the music at 50 attackers remaining instead of 20 attackers remaining. Also change how the music starts for the final capture point on operations. As well as conquest starting it earlier then 950 tickets left in the game, start it at 900 or 850.


Bottom line this is still not fixed and the issue is present with the new music as well. I see the new music tracks a bit shorter and added the ending part of the last PRE-EOR track into the final EOR theme but it doesn't help for the original 3 sets of EOR and PRE-EOR music or in general.

The best way to fix this would have each PRE-EOR music track start sooner like how it was handled in the ALPHA/BETA of BF1.

Thanks, hopefully this can get fixed soon.

docholiday332

2017-05-14 08:04

User
  ~0004192

Still nothing has come of this?

docholiday332

2017-05-16 00:42

User
  ~0004200

https://www.youtube.com/watch?v=1ZDQFiJDjS8&lc=z12ajdw4ute0gzn0m22rzrrgtlroipoox04.1494858869984703

Just wanted to add that is a whole set of comments of people confirming this issue. Since it is still not actually fixed.

Matteox

2017-08-24 05:52

User
  ~0004931

It’s not fixed with lupkow pass.

docholiday332

2017-09-04 00:24

User
  ~0005000

Yep months later still not fixed. Shouldn't be to hard to fix since this bug was NOT present in the alpha/beta builds of the game.

docholiday332

2017-10-12 23:56

User
  ~0005296

Last edited: 2017-10-20 20:17

View 3 revisions

Not fixed in the October patch and is still set as "Confirmed" so it is a confirmed bug, no response or anything yet.

Easily fixable, do what was done in the ALPHA and the BETA and start playing each Pre-EOR theme sooner, aka start it on 900 tickets instead of 900 for conquest for example, same goes for other modes.

Or use the soundtrack version of the track, it cuts out a lot of the extended parts of each Pre-EOR track and makes them go by faster so you always get to hear the good parts you never get to before.

Many options that can fix this issue.